#### Brief description：

- Get basic company information under your login account.

#### Interface version：

| Version number | Developer | Development date | Revision date |
| :------------- | :-------- | :--------------- | :------------ |
| 2.0.0          | Lenny     | 2024-3-27       |               |

#### Request URL:

- http://icloud.assetscontrols.com:8092/OpenApi/Admin
- https://icloud.assetscontrols.com:3443/OpenApi/Admin

#### Request method：

- POST

####  Request header：


| Parameter name | Required | Type   | Description                    |
| :------------- | :------- | :----- | :----------------------------- |
| Content-Type   | Yes      | string | Request type: application/json |


#### Request parameters:

| Parameter name | Required | Type   | Description                                                  |
| :------------- | :------- | :----- | :----------------------------------------------------------- |
| FTokenID       | Yes      | string | Token ID                                                     |
| FAction        | Yes      | string | Method name (QueryAllSuperAdminAgentList)                               |

#### Return example:

**Returned correctly:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject":  
            [{
                "FAgentGUID": "37c1b3fc-119e-4ed1-b87d-47f3a6fa73bc",
                "FName": "testcompany",
                "FCode": "test",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-06-28T09:43:17.117",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 1
            },
            {
                "FAgentGUID": "d5456af1-ffa2-416b-a335-116436479998",
                "FName": "紫金矿业集团黄金冶炼有限公司",
                "FCode": "紫金矿业集",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-06-04T03:45:42.38",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 2
            },
            {
                "FAgentGUID": "82c5ee8e-8f57-4021-ad27-6a1daa6a4637",
                "FName": "茂名市",
                "FCode": "茂名市",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-05-31T10:17:15.48",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 3
            },
            {
                "FAgentGUID": "256c6cd1-6a19-42a4-a572-de661d1c0e61",
                "FName": "北京市",
                "FCode": "北京市",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-04-25T02:39:41.69",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 4
            },
            {
                "FAgentGUID": "769d5f45-e8eb-40eb-b0e1-379131aab871",
                "FName": "深圳市",
                "FCode": "深圳市",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-04-25T02:39:41.68",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 5
            },
            {
                "FAgentGUID": "68afd094-d2c0-4796-b685-089f71b48e47",
                "FName": "中国黄金",
                "FCode": "中国黄金",
                "FContacts": "",
                "FTelephone": "",
                "FEMailAddress": "",
                "FCountry": "China",
                "FDescribe": "",
                "FStatus": 1,
                "FCreateTime": "2021-04-25T02:39:41.643",
                "FFatherAgentGUID": "9edd97dd-6ab2-4b0e-ab11-731847271a6b",
                "FFatherAgentName": "特种业务",
                "FFatherAgentCode": "1111",
                "FTimeDifferent": 28800,
                "RowNo": 6
            }
		]
     
}
```

**Returned incorrectly:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### Return parameter description:

| Parameter name | Type   | Description        |
|:-----  |:-----|-----|
|FAgentGUID |String   |Company unique identifier  |
|FFatherAgentGUID |String   |The unique identifier of the parent company  |
|FName |String   |Company Name  |
|FFatherAgentName |String   |Parent company name  |
|FCode |String   |company code  |
|FFatherAgentCode |String   |Parent company code  |
|FVehicleCode |String   |Vehicle code  |
|FContacts |String   |Contact person  |
|FDescribe |String   |Describe  |
|FTelephone |String   |contact number  |
|FEMailAddress |String   |Email address  |
|FCountry |String   |Country  |
|FTimeDifferent |Int   |Time Zone  |
|FCreateTime |DateTime   |Registration time  |

#### Remarks:

- More return error codes are as follows:
- 104: Token error or expired
- 102: Request parameter error

####  Request example:

**Java:**
```
String result = "";
//Request path
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
//Request parameters, json format parameters, it is recommended to use objects for transmission
String body = "{FAction:\"QueryAllSuperAdminAgentList\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}";  
URL realUrl = new URL(url);
// Set the properties of general request 
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
// Sending a POST request must set the following two lines
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// Send request parameters
pw.print(body);
// flush output stream buffer  
pw.flush();   
// Define BufferedReader input stream to read URL response
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
// Define BufferedReader input stream to read URL response
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
//Returns the JSON string
return result;
```

**C#：**
```
// Request path
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";  
// Request parameters in JSON format. It is recommended to use objects for transmission.
string body = "{FAction:\"QueryAllSuperAdminAgentList\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}"; 
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
 // Request method - POST or GET
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	// The response is returned as a JSON string
    return reader.ReadToEnd();
}
```

**Python：**
````python
 url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
      'FAction': 'QueryAllSuperAdminAgentList',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd',
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
````