#### Summary：

- Getting information of all Devices

#### Version：

|No.|Editor|Edit date|Revision date|
|:----    |:---|:----- |-----   |
|2.0.0 |admin  |2020-06-20 |  2020-06-20 |

#### Request URL:

- http://icloud.assetscontrols.com:8092/OpenApi/Admin
- https://icloud.assetscontrols.com:3443/OpenApi/Admin

#### Request mode：

- POST

#### Request header：

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|Content-Type |Yes  |string |application/json   |


#### Request parameter:

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|FTokenID |Yes  |string |token   |
|FAction |Yes |string |QueryAdminAssetList|

#### Response example:

**Correct response:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FGUID": "10f47be0-fefc-4cc2-ae69-50a14bbfa55c",
            "FAssetID": "7560717002",
            "FAssetTypeID": 701,
            "FDescription": "",
            "FSIMNumber": "343343434",
            "FAgentGUID": "25a48ca5-a844-4732-8af4-afa2a9d5c6dc",
            "FAgentName": "测试",
            "FGroupGUID": null,
            "FGroupName": null,
            "FCreateTime": "2020-05-17T12:10:44.143"
        },
        {
            "FGUID": "983809d8-a894-43f8-8b52-37bab146fb13",
            "FAssetID": "868120231481844",
            "FAssetTypeID": 1010,
            "FDescription": "",
            "FSIMNumber": "868120231481844",
            "FAgentGUID": "4bfca45f-807d-45f4-bf4c-4ebabbf857ca",
            "FAgentName": "Concox测试",
            "FGroupGUID": null,
            "FGroupName": null,
            "FCreateTime": "2020-07-31T02:30:37.433"
        }
    }
}
```

**Error response:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### Return parameter description:

|Parameter|Data type|Explanation|
|:-----  |:-----|-----|
|FGUID |String   |Unique identification of device|
|FAssetID |String   |Device Id |
|FAssetTypeID |Int   |Device type  |
|FDescription |String   |Description  |
|FSIMNumber |String   |Sim No. |
|FAgentGUID |String   |Unique identification of the company to which the device belongs  |
|FAgentName |String   |Company name  |
|FCreateTime |DateTime   |Registration time(UTC)  |
|FExpireTime |DateTime   |Expiration time(UTC)  |

#### Other result status description:

- 104：Token error or expiration
- 102：Request parameter error

#### Examples:

**Java:**
```
String result = "";
//Request url
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";
//Request parameters, JSON format parameters, it is recommended to pass in objects
String body = "{FAction:\"QueryAdminAssetList\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}";
URL realUrl = new URL(url);
// Set properties of general request
URLConnection conn = realUrl.openConnection();
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
// Send request parameters
pw.print(body);
pw.flush();
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;
 }
//JSON string is returned
return result;
```

**C#(.NET)：**
```
//Request url
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";
//Request parameters, JSON format parameters, it is recommended to pass in objects
string body = "{FAction:\"QueryAdminAssetList\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}";
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
request.Method = "post";
request.Accept = "*/*";
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//JSON string is returned
    return reader.ReadToEnd();
}
```

**Python：**

```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
      'FAction': 'QueryAdminAssetList',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```