#### Summary：

- Getting information of all assets

#### Version：

|No.|Editor|Edit date|Revision date|
|:----    |:---|:----- |-----   |
|2.0.0 |admin  |2020-06-20 |  2020-06-20 |

#### Request URL:

- http://icloud.assetscontrols.com:8092/OpenApi/Admin
- https://icloud.assetscontrols.com:3443/OpenApi/Admin

#### Request mode：

- POST

#### Request header：

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|Content-Type |Yes  |string | application/json   |


#### Request parameter:

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|FTokenID |Yes  |string |token   |
|FAction |Yes  |string |QueryAdminVehicleList|

#### Response example:

**Correct response:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FGUID": "4b0be13f-4703-4629-93d2-b51f632344dc",
            "FVehicleName": "视频机816",
            "FAssetGUID": "066cd9b2-b64b-44f5-9f19-b6e7dc974140",
            "FAssetID": "6165016816",
            "FAssetTypeID": 808,
            "FVehicleCode": "816",
            "FVehicleTypeID": 1,
            "FDescription": "",
            "FOperateType": "",
            "FVIN": "",
            "FAgentGUID": "903ba776-b329-474e-86b1-3a922c54f821",
            "FAgentName": "部标测试",
            "FGroupGUID": "0b887ae3-e190-42a2-81f3-81f6127c8aa1",
            "FGroupName": "视频机测试",
            "FMainDriverGUID": "778572c1-7ca4-44a9-ab2d-6c4f9cfed800",
            "FDriverName": "Jhon",
            "FDriverPhoneNumber": "18362985485",
            "FCreateTime": "2020-07-20T06:13:37.613"
        },
        {
            "FGUID": "9154a616-038e-40da-91b4-87b7faccc15f",
            "FVehicleName": "粤B45678",
            "FAssetGUID": null,
            "FAssetID": null,
            "FAssetTypeID": null,
            "FVehicleCode": "",
            "FVehicleTypeID": 1,
            "FDescription": "粤B45678",
            "FOperateType": "1",
            "FVIN": "",
            "FAgentGUID": "4b3dd67a-00af-4118-87bf-fa9583a83b25",
            "FAgentName": "Joint测试",
            "FGroupGUID": "b595f14b-e8a7-49b3-b26c-4687ebfcb33f",
            "FGroupName": "JT702/JT705",
            "FMainDriverGUID": "00000000-0000-0000-0000-000000000000",
            "FDriverName": null,
            "FDriverPhoneNumber": null,
            "FCreateTime": "2020-08-04T09:27:21.127"
        }
      }
   ]
}
```

**Error response:**

```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### Return parameter description:

|Parameter|Data type|Explanation|
|:-----  |:-----|-----|
|FGUID |String   |Unique identification of assets  |
|FVehicleName |String   |Assets name  |
|FAssetGUID |String   |Unique identification of device |
|FAssetID |String   |Device Id  |
|FAssetTypeID |Int   |Device type  |
|FVehicleCode |String   |Assets code  |
|FVehicleTypeID |Int   |Assets type  |
|FDescription |String   |Description  |
|FOperateType |String   |Operation type（1：Own；2：Leasing）  |
|FVIN |String   |vehicle frame VIN number   |
|FAgentGUID |String   |Unique identification of the company to which the assets belongs  |
|FAgentName |String   |Company name  |
|FGroupGUID |String   |Group unique identifier  |
|FGroupName |String   |Group name  |
|FMainDriverGUID |String   |Unique identification of main driver  |
|FDriverName |String   |Name of main driver  |
|FDriverPhoneNumber |String   |Driver's telephone  |
|FCreateTime |DateTime   |Registration time(UTC)  |

#### Other result status description:

- 105: System exception
- 104：Token error or expiration
- 102：Request parameter error

#### Examples:

**Java:**
```
String result = "";
//Request url
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";
//Request parameters, JSON format parameters, it is recommended to pass in objects
String body = "{FAction:\"QueryAdminVehicleList\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}";
URL realUrl = new URL(url);
// Set properties of general request
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
pw.print(body);
pw.flush();
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;
 }
//JSON string is returned
return result;
```

**C#：**
```
//Request url
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";
//Request parameters, JSON format parameters, it is recommended to pass in objects
string body = "{FAction:\"QueryAdminVehicleList\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\"}";
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
request.Method = "post";
request.Accept = "*/*";
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//JSON string is returned
    return reader.ReadToEnd();
}
```

**Python：**
````python
 url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
      'FAction': 'QueryAdminVehicleList',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
````