#### Summary：

- Send unlock command

#### Version：

|No.|Editor|Edit date|Revision date|
|:----    |:---|:----- |-----   |
|2.0.0 |admin  |2020-06-20 |  2020-06-20 |

#### Request URL:

- http://icloud.assetscontrols.com:8092/OpenApi/Instruction
- https://icloud.assetscontrols.com:3443/OpenApi/Instruction
#### Request mode:

- POST

#### Request header：

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|Content-Type |Yes  |string | application/json   |


#### Request parameter:

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|FTokenID |Yes |string |token   |
|FAction |Yes  |string | OpenLockControl |
|FAssetGUID |Yes  |string |Unique identification of device   |

#### Response example:

**Correct response:**

```
{
    "Result": 200,
    "Message": "ins send ok",
    "FObject": []
}
```

**Error response:**

```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### Other result status description:

- 113：No unlocking in the unlocked area.
- 115：Not positioned, unable to unlock
- 111: device offline or sleep
- 110：No unlocking permission
- 108：Unlock command sending exception
- 106：The device does not belong to this user
- 105：System exception
- 123：Device does not support this command

#### Examples:

**Java:**
```
String result = "";
//Request url
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";
//Request parameters, JSON format parameters, it is recommended to pass in objects
String body = "{FAction:\"OpenLockControl\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FAssetGUID:\"7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c\"}";
URL realUrl = new URL(url);
URLConnection conn = realUrl.openConnection();
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
pw.print(body);
pw.flush();
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;
 }
return result;
```

**C#(.NET)：**
```
//Request url
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";
//Request parameters, JSON format parameters, it is recommended to pass in objects
string body = "{FAction:\"OpenLockControl\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FAssetGUID:\"7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c\"}";
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
request.Method = "post";
request.Accept = "*/*";
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Instruction'
      data = {
      'FAction': 'OpenLockControl',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'，
	  'FAssetGUID':'7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```