#### Summary：

- Query unlock password

#### Version：

|No.|Editor|Edit date|Revision date|
|:----    |:---|:----- |-----   |
|2.0.0 |admin  |2020-06-20 |  2020-06-20 |

#### Request URL:

- http://icloud.assetscontrols.com:8092/OpenApi/Instruction
- https://icloud.assetscontrols.com:3443/OpenApi/Instruction

#### Request mode：
- POST

#### Request header：

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|Content-Type |yes  |string | application/json   |

#### Request parameter:

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|FTokenID |yes  |string |token   |
|FAction |yes  |string |QueryAssetPassword  |
|FGUIDs |yes  |string |Unique identification of device, multiple separated by ','   |
|FPageSize |no  |Int |Number of entries per page,default 10  |
|FPageIndex |no  |Int |Current page number,default 1  |

#### Response example:

**Correct response:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FAssetGUID": "3a70d699-ab9d-4426-b394-3319874a7706",
            "FAssetID": "7200622909",
            "FAssetTypeID": 1701,
            "FAgentGUID": "4b3dd67a-00af-4118-87bf-fa9583a83b25",
            "FDynPsd": 1,
            "FStaticPsd": "123456",
            "FDynamicPsd": "677831",
            "RowNo": 1
        },
        {
            "FAssetGUID": "9c1d9a6d-9daf-4e8c-b409-0127743325ce",
            "FAssetID": "7581213453",
            "FAssetTypeID": 701,
            "FAgentGUID": "4b3dd67a-00af-4118-87bf-fa9583a83b25",
            "FDynPsd": 0,
            "FStaticPsd": "123456",
            "FDynamicPsd": null,
            "RowNo": 2
        }
    ]
}
```

**Error response:**


```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### Return parameter description:

|Parameter|Data type|Explanation|
|:-----  |:-----|-----|
|FAssetGUID |String   |Unique identification of device  |
|FAssetID |String   |Device Id  |
|FAssetTypeID |Int   |Device type   |
|FAgentGUID |String   |Unique identification of company  |
|FDynPsd |Int   |Dynamic password open state  |
|FStaticPsd |String   |Static password  |
|FDynamicPsd |String   |Dynamic password  |

#### Other result status description:

- 105：System exception
- 102：Request parameter error

#### Examples:

**Java:**
```
String result = "";
//Request url
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";
//Request parameters, JSON format parameters, it is recommended to pass in objects
String body = "{FAction:\"QueryAssetPassword\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FGUIDs:\"3A70D699-AB9D-4426-B394-3319874A7706,9C1D9A6D-9DAF-4E8C-B409-0127743325CE\",FPageSize:\"20\",FPageIndex:\"1\"}";
URL realUrl = new URL(url);
URLConnection conn = realUrl.openConnection();
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
pw.print(body);
pw.flush();
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;
 }
return result;
```

**C#（.NET）：**
```
//Request url
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";
//Request parameters, JSON format parameters, it is recommended to pass in objects
string body = "{FAction:\"QueryAssetPassword\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FGUIDs:\"3A70D699-AB9D-4426-B394-3319874A7706,9C1D9A6D-9DAF-4E8C-B409-0127743325CE\",FPageSize:\"20\",FPageIndex:\"1\"}";
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
request.Method = "post";
request.Accept = "*/*";
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Instruction'
      data = {
      'FAction': 'QueryAssetPassword'，
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'，
	  'FGUIDs':'3A70D699-AB9D-4426-B394-3319874A7706,9C1D9A6D-9DAF-4E8C-B409-0127743325CE'，
	  'FPageSize': 20，
	  'FPageIndex': 1
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```