#### Summary：

- Query send record

#### Version：

|No.|Editor|Edit date|Revision date|
|:----    |:---|:----- |-----   |
|1.0.0 |admin  |2021-12-31 |   |

#### Request URL:

- http://icloud.assetscontrols.com:8092/OpenApi/Instruction
- https://icloud.assetscontrols.com:3443/OpenApi/Instruction

#### Request mode：
	
- POST

#### Request header：

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|Content-Type |yes  |string | application/json   |

#### Request parameter:

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|FTokenID |yes  |string |token   |
|FAction |yes  |string |QueryInstructionRecord |
|FAssetGUID |yes  |string |Unique identification of device   |
|FPageSize |no  |Int | Number per page,default 10 |
|FPageIndex |no  |Int | Page number,default 1  |

#### Response example:

**Correct response:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": {
        "Table": [
            {
                "FCount": 2
            }
        ],
        "Table1": [
            {
                "FGUID": "27b8c318-af8a-4304-878a-8a5f9c41aad8",
                "FAssetGUID": "9d73e134-84aa-43d1-be9b-77328c5036f6",
                "FAssetID": "231232",
                "FAssetTypeID": 701,
                "FInsType": "P14",
                "FIndex": 0,
                "FInsContent": "(P14)",
                "FBackContent": null,
                "FStatus": 0,
                "FSendTime": "2021-12-31T03:35:06.323",
                "FFinishTime": null,
                "FUserName": "test",
                "RowNo": 1
            },
            {
                "FGUID": "493d64d3-c1aa-4095-936b-6defeab35aad",
                "FAssetGUID": "9d73e134-84aa-43d1-be9b-77328c5036f6",
                "FAssetID": "231232",
                "FAssetTypeID": 701,
                "FInsType": "P14",
                "FIndex": -1,
                "FInsContent": "(P14)",
                "FBackContent": null,
                "FStatus": 0,
                "FSendTime": "2021-12-31T03:04:58.21",
                "FFinishTime": null,
                "FUserName": "test",
                "RowNo": 2
            }
        ]
    }
}
```

**Error response:**

```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### Return parameter description:

|Parameter|Data type|Explanation|
|:-----  |:-----|-----|
|FGUID |String   |Unique identification of record    |
|FAssetGUID |String   |Unique identification of device    |
|FAssetID |String   |device id   |
|FAssetTypeID |Int   |device type  |
|FInsType |String   |command type  |
|FInsContent |String   |command content  |
|FBackContent |String   |back content  |
|FStatus |Int   |execution status；1：succeed；0：unsucceed  |
|FUserName |String   |Operator  |
|FSendTime |DateTime   |send time(UTC)  |
|FFinishTime |DateTime   |finish time(UTC)  |

#### Other result status description:

- 105：System exception
- 104：token error or expire
- 102：Parameter error

#### Examples:

**Java:**
```
String result = "";
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";
String body = "{FAction:\"QueryInstructionRecord\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FAssetGUID:\"7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c\"}";
URL realUrl = new URL(url);
URLConnection conn = realUrl.openConnection();
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
pw.print(body);
pw.flush();
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;
 }
return result;
```

**C#(.NET)：**
```
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";
string body = "{FAction:\"QueryInstructionRecord\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FAssetGUID:\"7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c\"}";
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
request.Method = "post";
request.Accept = "*/*";
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Instruction'
      data = {
      'FAction': 'QueryInstructionRecord'，
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd'，
	  'FAssetGUID':'7f6b94c8-abda-48aa-9eec-9e2d8c5f6a3c'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```