#### Brief Description:

- Unlock the sublock.

#### API Version:

| Version | Author | Date       | Revision |
| :------ | :----- | :--------- | -------- |
| 1.0.0   | lenny  | 2023-09-07 |          |

#### Request URL:

- http://icloud.assetscontrols.com:8092/OpenApi/Instruction
- https://icloud.assetscontrols.com:3443/OpenApi/Instruction
#### Request Method:

- POST

#### Request Headers:

| Parameter    | Required | Type   | Description                    |
| :----------- | :------- | :----- | ------------------------------ |
| Content-Type | Yes      | string | Request type: application/json |

#### Request Parameters:

| Parameter     | Required | Type   | Description                    |
| :------------ | :------- | :----- | ------------------------------ |
| FTokenID      | Yes      | string | Token ID                       |
| FAction       | Yes      | string | Method name (SubAssetOpenLock) |
| FAssetGUID    | Yes      | string | Device unique identifier       |
| FSubAssetGUID | Yes      | string | Sublock unique identifier      |
| FLanguage     | Yes      | Int    | 0: English; 1: Chinese         |

#### Response Example:

**Successful Response:**

```
{
	"Result": 200,
	"Message": "ins send ok",
	"FObject": []
}
```

**Error Response:**

```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}

{
	"Result": 108,
	"Message": "ins send error",
	"FObject": []
}
{
	"Result": 105,
	"Message": "fail",
	"FObject": []
}
```

#### Remarks:

- More error codes for response:
- 104: Token error or expired
- 105: Exception error
- 102: Request parameter error
- 108: Unlocking failed

#### Request Example:


**Java:**
```
String result = "";
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";  
String body = "{\n\t\"FAction\": \"SubAssetOpenLock\",\n\t\"FAssetGUID\": \"2d3d4041-dc5f-4a50-8c6a-8aac15835bf0\",\n\t\"FSubAssetGUID\": \"8846d981-a61f-455d-94fc-33c64416ff7a\",\n\t\"FTokenID\": \"3acef045-d302-4032-b40a-d9ee6c1519cd\",\n\t\"FLanguage\": \"1\"\n}";
URL realUrl = new URL(url);
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
pw.print(body);
pw.flush();   
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));  
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;        
 }
return result;
```

**C#：**
```
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Instruction";  
String body = "{\n\t\"FAction\": \"SubAssetOpenLock\",\n\t\"FAssetGUID\": \"2d3d4041-dc5f-4a50-8c6a-8aac15835bf0\",\n\t\"FSubAssetGUID\": \"8846d981-a61f-455d-94fc-33c64416ff7a\",\n\t\"FTokenID\": \"3acef045-d302-4032-b40a-d9ee6c1519cd\",\n\t\"FLanguage\": \"1\"\n}";
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
request.Method = "post"; 
request.Accept = "*/*";    
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
    return reader.ReadToEnd();
}
```

**Python：**
```python
url = 'http://cloud.assetscontrols.com:8092/OpenApi/Instruction'
data = '{ "FAction": "SubAssetOpenLock", "FAssetGUID": "2d3d4041-dc5f-4a50-8c6a-8aac15835bf0", "FSubAssetGUID": "8846d981-a61f-455d-94fc-33c64416ff7a", "FTokenID": "3acef045-d302-4032-b40a-d9ee6c1519cd", "FLanguage": "1" }' 
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)  
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
```