#### Summary：

- Getting single information of asset

#### Version：

|No.|Editor|Edit date|Revision date|
|:----    |:---|:----- |-----   |
|2.0.0 |admin  |2022-06-06 | |

#### Request URL:

- http://icloud.assetscontrols.com:8092/OpenApi/Admin
- https://icloud.assetscontrols.com:3443/OpenApi/Admin

#### Request mode：

- POST

#### Request header：

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|Content-Type |Yes  |string | application/json   |


#### Request parameter:

|Parameter|Required field|Data type|Explanation|
|:----    |:---|:----- |-----   |
|FTokenID |Yes  |string |token   |
|FAction |Yes  |string |QueryAdminVehicleByVehicleName|
|FVehicleName |Yes  |string |assets name|

#### Response example:

**Correct response:**

```
{
    "Result": 200,
    "Message": "check token success",
    "FObject": [
        {
            "FGUID": "5b24bab0-829d-452b-898f-cc492bc9287b",
            "FVehicleName": "2690929760",
            "FAssetGUID": "0a1ecd86-1b0d-4b51-af37-e41dbf71d46a",
            "FAssetID": "2690929760",
            "FAssetTypeID": 200,
            "FVehicleCode": "",
            "FVehicleTypeID": 1,
            "FDescription": "",
            "FOperateType": "1",
            "FVIN": "",
            "FAgentGUID": "042032ac-6382-43b6-974f-7ec7f2c0fdfb",
            "FAgentName": "keerbu",
            "FGroupGUID": "d1026011-6479-4b74-8a98-eaa42ce2cedc",
            "FGroupName": "shajiangguan",
            "FMainDriverGUID": "00000000-0000-0000-0000-000000000000",
            "FDriverName": null,
            "FDriverPhoneNumber": null,
            "FCreateTime": "2022-06-01T14:12:24.523"
        }
    ]
}
```

**Error response:**

```
{
    "Result": 102,
    "Message": "Action is error",
    "FObject": []
}
```

#### Return parameter description:

|Parameter|Data type|Explanation|
|:-----  |:-----|-----|
|FGUID |String   |Unique identification of assets  |
|FVehicleName |String   |Assets name  |
|FAssetGUID |String   |Unique identification of device |
|FAssetID |String   |Device Id  |
|FAssetTypeID |Int   |Device type  |
|FVehicleCode |String   |Assets code  |
|FVehicleTypeID |Int   |Assets type  |
|FDescription |String   |Description  |
|FOperateType |String   |Operation type（1：Own；2：Leasing）  |
|FVIN |String   |vehicle frame VIN number   |
|FAgentGUID |String   |Unique identification of the company to which the assets belongs  |
|FAgentName |String   |Company name  |
|FGroupGUID |String   |Group unique identifier  |
|FGroupName |String   |Group name  |
|FMainDriverGUID |String   |Unique identification of main driver  |
|FDriverName |String   |Name of main driver  |
|FDriverPhoneNumber |String   |Driver's telephone  |
|FCreateTime |DateTime   |Registration time(UTC)  |

#### Other result status description:

- 105: System exception
- 104：Token error or expiration
- 102：Request parameter error

#### Examples:

**Java:**
```
String result = "";
//Request url
String url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";
//Request parameters, JSON format parameters, it is recommended to pass in objects
String body = "{FAction:\"QueryAdminVehicleByVehicleName\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FVehicleName:\"2690929760\"}";  
URL realUrl = new URL(url);
// Set properties of general request
URLConnection conn = realUrl.openConnection(); 
conn.setRequestProperty("accept", "*/*");
conn.setRequestProperty("connection", "keep-Alive");
conn.setRequestProperty("Content-Type", "application/json");
conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
conn.setRequestProperty("method", "post");
conn.setDoOutput(true);
conn.setDoInput(true);
PrintWriter pw = new PrintWriter(conn.getOutputStream());
pw.print(body);
pw.flush();
BufferedReader bufReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
String line;
while ((line = bufReader.readLine()) != null) {
     result += line;
 }
//JSON string is returned
return result;
```

**C#：**
```
//Request url
string url = "http://cloud.assetscontrols.com:8092/OpenApi/Admin";
//Request parameters, JSON format parameters, it is recommended to pass in objects
String body = "{FAction:\"QueryAdminVehicleByVehicleName\",FTokenID:\"3acef045-d302-4032-b40a-d9ee6c1519cd\",FVehicleName:\"2690929760\"}";  
Encoding encoding = Encoding.UTF8;
HttpWebRequest request = (HttpWebRequest)WebRequest.Create(url);
request.Method = "post";
request.Accept = "*/*";
request.ContentType = "application/json";
request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
byte[] buffer = encoding.GetBytes(body);
request.ContentLength = buffer.Length;
request.GetRequestStream().Write(buffer, 0, buffer.Length);
HttpWebResponse response = (HttpWebResponse)request.GetResponse();
using (StreamReader reader = new StreamReader(response.GetResponseStream(), Encoding.UTF8))
{
	//JSON string is returned
    return reader.ReadToEnd();
}
```

**Python：**
````python
 url = 'http://cloud.assetscontrols.com:8092/OpenApi/Admin'
      data = {
      'FAction': 'QueryAdminVehicleList',
      'FTokenID': '3acef045-d302-4032-b40a-d9ee6c1519cd',
	  'FVehicleName': '2690929760'
       }
      data = parse.urlencode(data).encode('utf-8')
      headers = {
       'User-Agent': r'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) '
                     r'Chrome/45.0.2454.85 Safari/537.36 115Browser/6.0.3',
       'Connection': 'keep-alive'
       }
      req = request.Request(url, headers=headers, data=data)
      page = request.urlopen(req).read()
      page = page.decode('utf-8')
      # json_array = json.loads(page)
      return page;
````